Bug 1070163 - (CVE-2017-17565) VUL-0: CVE-2017-17565: xen: improper bug check in x86 log-dirty handling (XSA-251)
(CVE-2017-17565)
VUL-0: CVE-2017-17565: xen: improper bug check in x86 log-dirty handling (XSA...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Charles Arnold
Security Team bot
CVSSv3:RedHat:CVE-2017-17565:7.7:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-28 15:42 UTC by Johannes Segitz
Modified: 2021-01-21 18:19 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Segitz 2017-11-28 15:42:08 UTC
Created attachment 750408 [details]
Upstream patches

Xen Security Advisory XSA-251

             improper bug check in x86 log-dirty handling

              *** EMBARGOED UNTIL 2017-12-12 12:00 UTC ***

ISSUE DESCRIPTION
=================

Memory sharing, available to x86 HVM guests only, uses a special value
in the global machine to physical address translation table (M2P).  PV
guests have full control over M2P entries corresponding to pages they
own.  A bug check (specifically, an assertion that an M2P entry is not
the special "shared" indicator) was insufficiently qualified, and as a
consequence is triggerable by PV guests in log-dirty mode
(e.g. because of being live migrated).

IMPACT
======

A malicious or buggy PV guest may cause a hypervisor crash, resulting in
a Denial of Service (DoS) affecting the entire host.

VULNERABLE SYSTEMS
==================

Xen versions 4.0 and later are affected.  Xen versions 3.4 and earlier
are not affected.

Only x86 systems are vulnerable.  ARM systems are not vulnerable.

x86 HVM guests cannot exploit this vulnerability.

Only x86 PV guests can exploit this vulnerability, and only when being
run in shadow mode.  PV guests are typically run in shadow mode for live
migration, as well as for features like VM snapshot.

Note that save / restore does *not* use shadow mode, and so does not
expose this vulnerability.  Some downstreams also  include a "non-live
migration" feature, which also does not use shadow mode (and thus does
not expose this vulnerability).

MITIGATION
==========

Running only HVM guests avoids the vulnerability.

Avoiding live migration of x86 PV guests also avoids the vulnerability.

RESOLUTION
==========

Applying the appropriate attached patch resolves this issue.

xsa251.patch           xen-unstable, Xen 4.9.x
xsa251-4.8.patch       Xen 4.8.x, Xen 4.7.x, Xen 4.6.x
xsa251-4.5.patch       Xen 4.5.x

$ sha256sum xsa251*
56e6f21b3b769996d59dd34768e305a9c05d4c21327ee2f7e30e39989213d586  xsa251.meta
0dfbcfe459f051abb571d3fbedbe9760a4c6cd540ab5d525627050e3eeb9234e  xsa251.patch
345a6e004e0d0d89c7fc8db55d48d68f53402a521bd1aa3cb4168043e1ae5673  xsa251-4.5.patch
f8cecf013a3628038e0a4566778852a560b25a1ce2f3872a989087ab2fc9a913  xsa251-4.8.patch
Comment 2 Johannes Segitz 2017-12-12 13:39:45 UTC
public
Comment 3 Alexander Bergmann 2017-12-13 07:44:48 UTC
CVE-2017-17565 was assigned to this issue.
Comment 4 Swamp Workflow Management 2018-02-14 14:09:37 UTC
SUSE-SU-2018:0438-1: An update that solves 10 vulnerabilities and has three fixes is now available.

Category: security (important)
Bug References: 1027519,1035442,1051729,1061081,1067317,1068032,1070158,1070159,1070160,1070163,1074562,1076116,1076180
CVE References: CVE-2017-15595,CVE-2017-17563,CVE-2017-17564,CVE-2017-17565,CVE-2017-17566,CVE-2017-18030,CVE-2017-5715,CVE-2017-5753,CVE-2017-5754,CVE-2018-5683
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    xen-4.9.1_08-3.26.1
SUSE Linux Enterprise Server 12-SP3 (src):    xen-4.9.1_08-3.26.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    xen-4.9.1_08-3.26.1
SUSE CaaS Platform ALL (src):    xen-4.9.1_08-3.26.1
Comment 5 Swamp Workflow Management 2018-02-16 11:14:44 UTC
openSUSE-SU-2018:0459-1: An update that solves 10 vulnerabilities and has three fixes is now available.

Category: security (important)
Bug References: 1027519,1035442,1051729,1061081,1067317,1068032,1070158,1070159,1070160,1070163,1074562,1076116,1076180
CVE References: CVE-2017-15595,CVE-2017-17563,CVE-2017-17564,CVE-2017-17565,CVE-2017-17566,CVE-2017-18030,CVE-2017-5715,CVE-2017-5753,CVE-2017-5754,CVE-2018-5683
Sources used:
openSUSE Leap 42.3 (src):    xen-4.9.1_08-16.1
Comment 6 Swamp Workflow Management 2018-02-19 14:13:21 UTC
SUSE-SU-2018:0472-1: An update that solves 10 vulnerabilities and has two fixes is now available.

Category: security (important)
Bug References: 1027519,1035442,1051729,1061081,1068032,1070158,1070159,1070160,1070163,1074562,1076116,1076180
CVE References: CVE-2017-15595,CVE-2017-17563,CVE-2017-17564,CVE-2017-17565,CVE-2017-17566,CVE-2017-18030,CVE-2017-5715,CVE-2017-5753,CVE-2017-5754,CVE-2018-5683
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    xen-4.7.4_06-43.24.1
SUSE Linux Enterprise Server 12-SP2 (src):    xen-4.7.4_06-43.24.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    xen-4.7.4_06-43.24.1
Comment 7 Swamp Workflow Management 2018-03-05 14:10:02 UTC
SUSE-SU-2018:0601-1: An update that solves 10 vulnerabilities and has three fixes is now available.

Category: security (important)
Bug References: 1027519,1035442,1061081,1068032,1070158,1070159,1070160,1070163,1074562,1076116,1076180,1080635,1080662
CVE References: CVE-2017-15595,CVE-2017-17563,CVE-2017-17564,CVE-2017-17565,CVE-2017-17566,CVE-2017-18030,CVE-2017-5715,CVE-2017-5753,CVE-2017-5754,CVE-2018-5683
Sources used:
SUSE Linux Enterprise Server 12-LTSS (src):    xen-4.4.4_28-22.62.1
Comment 8 Swamp Workflow Management 2018-03-05 20:10:16 UTC
SUSE-SU-2018:0609-1: An update that solves 10 vulnerabilities and has two fixes is now available.

Category: security (important)
Bug References: 1035442,1061081,1068032,1070158,1070159,1070160,1070163,1074562,1076116,1076180,1080635,1080662
CVE References: CVE-2017-15595,CVE-2017-17563,CVE-2017-17564,CVE-2017-17565,CVE-2017-17566,CVE-2017-18030,CVE-2017-5715,CVE-2017-5753,CVE-2017-5754,CVE-2018-5683
Sources used:
SUSE OpenStack Cloud 6 (src):    xen-4.5.5_24-22.43.1
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    xen-4.5.5_24-22.43.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    xen-4.5.5_24-22.43.1
Comment 9 Swamp Workflow Management 2018-03-08 20:11:53 UTC
SUSE-SU-2018:0638-1: An update that solves 10 vulnerabilities and has four fixes is now available.

Category: security (important)
Bug References: 1027519,1031382,1035442,1061081,1068032,1070158,1070159,1070160,1070163,1074562,1076116,1076180,1080635,1080662
CVE References: CVE-2017-15595,CVE-2017-17563,CVE-2017-17564,CVE-2017-17565,CVE-2017-17566,CVE-2017-18030,CVE-2017-5715,CVE-2017-5753,CVE-2017-5754,CVE-2018-5683
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    xen-4.4.4_28-61.23.2
SUSE Linux Enterprise Server 11-SP4 (src):    xen-4.4.4_28-61.23.2
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    xen-4.4.4_28-61.23.2
Comment 10 Swamp Workflow Management 2018-03-14 23:10:16 UTC
SUSE-SU-2018:0678-1: An update that fixes 14 vulnerabilities is now available.

Category: security (important)
Bug References: 1024307,1030144,1061081,1068032,1070158,1070159,1070160,1070163,1074562,1076116,1076180,1080635,1080662
CVE References: CVE-2017-11334,CVE-2017-15595,CVE-2017-17563,CVE-2017-17564,CVE-2017-17565,CVE-2017-17566,CVE-2017-18030,CVE-2017-5715,CVE-2017-5753,CVE-2017-5754,CVE-2017-5898,CVE-2018-5683,CVE-2018-7540,CVE-2018-7541
Sources used:
SUSE Linux Enterprise Server 11-SP3-LTSS (src):    xen-4.2.5_21-45.19.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    xen-4.2.5_21-45.19.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    xen-4.2.5_21-45.19.1
Comment 11 Marcus Meissner 2018-03-15 06:17:57 UTC
all released